disabling downloads during build process

A few of the users of our software want to compile the entire mess from source using non-standard compilers and/or options. We try to bundle all dependencies with the package we distribute but the current version of Matplotlib is attempting to download another half-dozen or so, which I’m pretty sure is new behavior. Because these users work at a company with draconian network use policies, HTTP connections is completely blocked, and the build fails when Matplotlib can’t download these dependencies.

Two questions:

  1. Is there a way to instruct Matplotlib not to attempt to download anything? I do not care if the build fails as a result of the missing dependencies - at least it will be obvious what is missing, and it will prevent undefined behavior on other systems.

  2. Barring (1), is there a complete list of all required dependencies somewhere? The one on the website appears to be out of date, and it is not clear what is truly required versus simply nice to have.

thanks,
Nat

The documentation is correct, but it does not list secondary
dependencies (i.e. dependencies of dependencies).
Mike

···

On 11/09/2013 12:34 PM, Nat Echols
wrote:

            A few of the users of our software want to compile

the entire mess from source using non-standard compilers
and/or options. We try to bundle all dependencies with
the package we distribute but the current version of
Matplotlib is attempting to download another half-dozen
or so, which I’m pretty sure is new behavior. Because
these users work at a company with draconian network use
policies, HTTP connections is completely blocked, and
the build fails when Matplotlib can’t download these
dependencies.

Two questions:

        1) Is there a way to instruct Matplotlib not to attempt to

download anything? I do not care if the build fails as a
result of the missing dependencies - at least it will be
obvious what is missing, and it will prevent undefined
behavior on other systems.

      2) Barring (1), is there a complete list of all required

dependencies somewhere? The one on the website appears to be
out of date, and it is not clear what is truly required versus
simply nice to have.

thanks,

    Nat
------------------------------------------------------------------------------
November Webinars for C, C++, Fortran Developers
Accelerate application performance with scalable programming models. Explore
techniques for threading, error checking, porting, and tuning. Get the most from the latest Intel processors and coprocessors. See abstracts and register
_______________________________________________
Matplotlib-users mailing list
                   -- _ |\/|o _|_ _. _ | | \.__ __|__|_|_ _ _ ._ _ | ||(_| |(_|(/_| |_/|(_)(/_|_ |_|_)(_)(_)| | |

http://pubads.g.doubleclick.net/gampad/clk?id=60136231&iu=/4140/ostg.clktrkMatplotlib-users@lists.sourceforge.nethttps://lists.sourceforge.net/lists/listinfo/matplotlib-usershttp://www.droettboom.com